be.fgov.ehealth.dics.protocol.v5

## Class ConsultRealActualIngredientType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultRealActualIngredientType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:43+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultRealActualIngredientType
      extends Object
      implements Serializable

  Java class for ConsultRealActualIngredientType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultRealActualIngredientType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Type" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="KnownEffect" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
               <choice minOccurs="0">
                 <element name="Strength" type="{urn:be:fgov:ehealth:dics:protocol:v5}QuantityType"/>
                 <element name="StrengthDescription" type="{http://www.w3.org/2001/XMLSchema}string"/>
               </choice>
               <element name="AdditionalInformation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="Substance" type="{urn:be:fgov:ehealth:dics:protocol:v5}SubstanceWithStandardsType"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
               <element name="RealActualIngredientEquivalent" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultRealActualIngredientEquivalentType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="Rank" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultRealActualIngredientType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `String` | `getAdditionalInformation()` Gets the value of the additionalInformation property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `int` | `getRank()` Gets the value of the rank property.
    `List<ConsultRealActualIngredientEquivalentType>` | `getRealActualIngredientEquivalents()` Gets the value of the realActualIngredientEquivalents property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `QuantityType` | `getStrength()` Gets the value of the strength property.
    `String` | `getStrengthDescription()` Gets the value of the strengthDescription property.
    `SubstanceWithStandardsType` | `getSubstance()` Gets the value of the substance property.
    `String` | `getType()` Gets the value of the type property.
    `Boolean` | `isKnownEffect()` Gets the value of the knownEffect property.
    `void` | `setAdditionalInformation(String value)` Sets the value of the additionalInformation property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setKnownEffect(Boolean value)` Sets the value of the knownEffect property.
    `void` | `setRank(int value)` Sets the value of the rank property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
    `void` | `setStrength(QuantityType value)` Sets the value of the strength property.
    `void` | `setStrengthDescription(String value)` Sets the value of the strengthDescription property.
    `void` | `setSubstance(SubstanceWithStandardsType value)` Sets the value of the substance property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultRealActualIngredientType

          public ConsultRealActualIngredientType()

  - ### Method Detail

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### isKnownEffect

          public Boolean isKnownEffect()

      Gets the value of the knownEffect property.
      Returns:
        possible object is `Boolean`

    - #### setKnownEffect

          public void setKnownEffect(Boolean value)

      Sets the value of the knownEffect property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getStrengthDescription

          public String getStrengthDescription()

      Gets the value of the strengthDescription property.
      Returns:
        possible object is `String`

    - #### setStrengthDescription

          public void setStrengthDescription(String value)

      Sets the value of the strengthDescription property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStrength

          public QuantityType getStrength()

      Gets the value of the strength property.
      Returns:
        possible object is `QuantityType`

    - #### setStrength

          public void setStrength(QuantityType value)

      Sets the value of the strength property.
      Parameters:
        `value` - allowed object is `QuantityType`

    - #### getAdditionalInformation

          public String getAdditionalInformation()

      Gets the value of the additionalInformation property.
      Returns:
        possible object is `String`

    - #### setAdditionalInformation

          public void setAdditionalInformation(String value)

      Sets the value of the additionalInformation property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSubstance

          public SubstanceWithStandardsType getSubstance()

      Gets the value of the substance property.
      Returns:
        possible object is `SubstanceWithStandardsType`

    - #### setSubstance

          public void setSubstance(SubstanceWithStandardsType value)

      Sets the value of the substance property.
      Parameters:
        `value` - allowed object is `SubstanceWithStandardsType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getRealActualIngredientEquivalents

          public List<ConsultRealActualIngredientEquivalentType> getRealActualIngredientEquivalents()

      Gets the value of the realActualIngredientEquivalents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the realActualIngredientEquivalents property.

      For example, to add a new item, do as follows:

              getRealActualIngredientEquivalents().add(newItem);

      Objects of the following type(s) are allowed in the list `ConsultRealActualIngredientEquivalentType`

    - #### getRank

          public int getRank()

      Gets the value of the rank property.

    - #### setRank

          public void setRank(int value)

      Sets the value of the rank property.

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSDIETICIAN 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.